curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>",
"gateway": "<string>",
"discounted": true,
"discountCode": "<string>",
"customer": {
"id": "<string>",
"email": "<string>"
},
"payment": {
"status": "PENDING",
"totalAmount": 123
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>",
"gateway": "<string>",
"discounted": true,
"discountCode": "<string>",
"customer": {
"id": "<string>",
"email": "<string>"
},
"payment": {
"status": "PENDING",
"totalAmount": 123
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48x >= 11 <= x <= 100PENDING, PROCESSING, COMPLETED, CANCELLED, FAILED, REFUNDED, CHARGEBACK 128asc, desc